Package org.apache.lucene.index

## Enum MergeTrigger

- java.lang.Object
- - java.lang.Enum<MergeTrigger>
  - - org.apache.lucene.index.MergeTrigger

- All Implemented Interfaces:
    `Serializable`, `Comparable<MergeTrigger>`

      public enum MergeTrigger
      extends Enum<MergeTrigger>

  MergeTrigger is passed to `MergePolicy.findMerges(MergeTrigger, SegmentInfos, MergePolicy.MergeContext)` to indicate the event that triggered the merge.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOSING` | Merge was triggered by a closing IndexWriter.
    `COMMIT` | Merge was triggered on commit.
    `EXPLICIT` | Merge has been triggered explicitly by the user.
    `FULL_FLUSH` | Merge was triggered by a full flush.
    `GET_READER` | Merge was triggered on opening NRT readers.
    `MERGE_FINISHED` | Merge was triggered by a successfully finished merge.
    `SEGMENT_FLUSH` | Merge was triggered by a segment flush.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MergeTrigger` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MergeTrigger[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEGMENT_FLUSH

          public static final MergeTrigger SEGMENT_FLUSH

      Merge was triggered by a segment flush.

    - #### FULL_FLUSH

          public static final MergeTrigger FULL_FLUSH

      Merge was triggered by a full flush. Full flushes can be caused by a commit, NRT reader reopen or a close call on the index writer.

    - #### EXPLICIT

          public static final MergeTrigger EXPLICIT

      Merge has been triggered explicitly by the user.

    - #### MERGE_FINISHED

          public static final MergeTrigger MERGE_FINISHED

      Merge was triggered by a successfully finished merge.

    - #### CLOSING

          public static final MergeTrigger CLOSING

      Merge was triggered by a closing IndexWriter.

    - #### COMMIT

          public static final MergeTrigger COMMIT

      Merge was triggered on commit.

    - #### GET_READER

          public static final MergeTrigger GET_READER

      Merge was triggered on opening NRT readers.

  - ### Method Detail

    - #### values

          public static MergeTrigger[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MergeTrigger c : MergeTrigger.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MergeTrigger valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null